com.holonplatform.datastore.jpa

## Enum JpaWriteOption

- java.lang.Object
- - java.lang.Enum<JpaWriteOption>
  - - com.holonplatform.datastore.jpa.JpaWriteOption

- All Implemented Interfaces:
    com.holonplatform.core.datastore.DatastoreOperations.WriteOption, Serializable, Comparable<JpaWriteOption>

      public enum JpaWriteOption
      extends Enum<JpaWriteOption>
      implements com.holonplatform.core.datastore.DatastoreOperations.WriteOption

  JPA `DatastoreOperations.WriteOption`s enumeration.
  Since:
    5.0.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FLUSH` Synchronize the persistence context to the underlying database after a data manipulation operation.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JpaWriteOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JpaWriteOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FLUSH

          public static final JpaWriteOption FLUSH

      Synchronize the persistence context to the underlying database after a data manipulation operation.

  - ### Method Detail

    - #### values

          public static JpaWriteOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JpaWriteOption c : JpaWriteOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JpaWriteOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.